Create print
Create print (binary ESC/POS)
Create print (binary ESC/POS)
Path Parameters
slug*string
Query Parameters
printKey?string
Unique key identifying the print. Generated (UUID) when omitted.
Length
length <= 200deviceId?string
Identifier of the device that produced the print.
Length
length <= 200label?string
Human-readable name shown in the dashboard.
Length
length <= 200quantity?integer
Number of copies printed.
tag?array<string>
Tag as key=value. Repeat the parameter to attach multiple tags, e.g. ?tag=orderType=delivery&tag=store=gangnam.
width?integer
Receipt render width in monospace character columns
Range
24 <= value <= 80Request Body
application/octet-stream
TypeScript Definitions
Use the request body type in TypeScript.
body*file
Format
binaryResponse Body
application/json
curl -X POST "https://example.com/api/workspace/string/prints" \ -H "Content-Type: application/octet-stream" \ -d 'string'{
"id": 0,
"printKey": "string",
"workspaceId": 0,
"userId": 0,
"deviceId": "string",
"label": "string",
"tag": {
"property1": "string",
"property2": "string"
},
"quantity": 0,
"width": 0,
"testPrint": true,
"deleted": true,
"deletedAt": "string",
"createdAt": "string",
"updatedAt": "string"
}